Search documentation of ExStreamClient

# ExStreamClient.Model.CallResponse (ExStreamClient v0.1.10)

View Source

Schema representing a CallResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallResponse{
      backstage: boolean(),
      blocked_user_ids: [String.t()],
      captioning: boolean(),
      channel_cid: String.t() | nil,
      cid: String.t(),
      created_at: float(),
      created_by: ExStreamClient.Model.UserResponse.t(),
      current_session_id: String.t(),
      custom: %{optional(String.t()) => any()},
      egress: ExStreamClient.Model.EgressResponse.t(),
      ended_at: float() | nil,
      id: String.t(),
      ingress: ExStreamClient.Model.CallIngressResponse.t(),
      join_ahead_time_seconds: integer() | nil,
      recording: boolean(),
      session: ExStreamClient.Model.CallSessionResponse.t() | nil,
      settings: ExStreamClient.Model.CallSettingsResponse.t(),
      starts_at: float() | nil,
      team: String.t() | nil,
      thumbnails: ExStreamClient.Model.ThumbnailResponse.t() | nil,
      transcribing: boolean(),
      type: String.t(),
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()